Subject: Re: bug#16265: 24.3.50; re-search-forward (error "Invalid search bound (wrong side of point)")

From: Nicolas Richard <[email-masked]>
Date: Tue, 31 Dec 2013 15:16:40 +0100

Nicolas Richard <[email-masked]> writes:
> I'll bisect this (I tested 24.3, it works there) and post the result

bisection is done.
# first bad commit: [f56f1e3993fd79240e03666cf8390f489b4a2435] Switch cache-long-scans to t by default.

and indeed, running
emacs -Q --batch --eval '(setq-default cache-long-scans nil)' -l filenamehere
worked for me.

Keith, can you test if it fixes the problems your are seeing as well ?
(If it doesn't then I guess we'll need another bug report.) If it does,
the next step is to understand why things break when the caching
mechanism is enabled -- I give up there.

-- 
Nico.